Download Document Rendition File
Download a rendition (file) from the latest version of a document.
GET
/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{doc_id} | The document id field value. |
{rendition_type} | The document rendition type. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
steadyState | Set to true to download a rendition (file) from the latest steady state version (1.0, 2.0, etc.) of a document. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.3/objects/documents/534/renditions/viewable_rendition__v > fileResponse
Section link for Response{
"responseStatus": "SUCCESS"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault retrieves the file associated with the given renditions type for the document. The HTTP Response Header Content-Type is set to application/octet-stream.